syncio_tls.h File Reference
`#include <gwenhywfar/syncio.h>`
`#include <gwenhywfar/ssl_cert_descr.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SYNCIO_TLS_FLAGS_ADD_TRUSTED_CAS 0x00000010
#define | GWEN_SYNCIO_TLS_FLAGS_ALLOW_V1_CA_CRT 0x00000004
#define | GWEN_SYNCIO_TLS_FLAGS_IGN_PREMATURE_CLOSE 0x00000200
#define | GWEN_SYNCIO_TLS_FLAGS_NEED_PEER_CERT 0x00000008
#define | GWEN_SYNCIO_TLS_FLAGS_REQUEST_CERT 0x00000001
#define | GWEN_SYNCIO_TLS_FLAGS_SECURE 0x00008000
#define | GWEN_SYNCIO_TLS_FLAGS_SET_PASSV_HOST_IP 0x00000020 /* not used atm */
#define | GWEN_SYNCIO_TLS_FLAGS_SET_PASSV_HOST_NAME 0x00000020 /* not used atm */
#define | GWEN_SYNCIO_TLS_TYPE "tls"

## Typedefs

typedef int GWENHYWFAR_CB(* | GWEN_SIO_TLS_CHECKCERT_FN) (GWEN_SYNCIO *sio, const GWEN_SSLCERTDESCR *cert)

## Functions

GWENHYWFAR_API const char * | GWEN_SyncIo_Tls_GetDhParamFile (const GWEN_SYNCIO *sio)
GWENHYWFAR_API const char * | GWEN_SyncIo_Tls_GetLocalCertFile (const GWEN_SYNCIO *sio)
GWENHYWFAR_API const char * | GWEN_SyncIo_Tls_GetLocalKeyFile (const GWEN_SYNCIO *sio)
GWENHYWFAR_API const char * | GWEN_SyncIo_Tls_GetLocalTrustFile (const GWEN_SYNCIO *sio)
GWENHYWFAR_API const char * | GWEN_SyncIo_Tls_GetLocalTrustFolder (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_SSLCERTDESCR * | GWEN_SyncIo_Tls_GetPeerCertDescr (const GWEN_SYNCIO *sio)
GWENHYWFAR_API const char * | GWEN_SyncIo_Tls_GetRemoteHostName (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Tls_new (GWEN_SYNCIO *baseIo)
GWENHYWFAR_API GWEN_SIO_TLS_CHECKCERT_FN | GWEN_SyncIo_Tls_SetCheckCertFn (GWEN_SYNCIO *sio, GWEN_SIO_TLS_CHECKCERT_FN f)
GWENHYWFAR_API void | GWEN_SyncIo_Tls_SetDhParamFile (GWEN_SYNCIO *sio, const char *s)
GWENHYWFAR_API void | GWEN_SyncIo_Tls_SetLocalCertFile (GWEN_SYNCIO *sio, const char *s)
GWENHYWFAR_API void | GWEN_SyncIo_Tls_SetLocalKeyFile (GWEN_SYNCIO *sio, const char *s)
GWENHYWFAR_API void | GWEN_SyncIo_Tls_SetLocalTrustFile (GWEN_SYNCIO *sio, const char *s)
GWENHYWFAR_API void | GWEN_SyncIo_Tls_SetLocalTrustFolder (GWEN_SYNCIO *sio, const char *s)
GWENHYWFAR_API void | GWEN_SyncIo_Tls_SetRemoteHostName (GWEN_SYNCIO *sio, const char *s)

## Macro Definition Documentation

## GWEN_SYNCIO_TLS_FLAGS_ADD_TRUSTED_CAS

#define GWEN_SYNCIO_TLS_FLAGS_ADD_TRUSTED_CAS 0x00000010

Definition at line 40 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_ALLOW_V1_CA_CRT

#define GWEN_SYNCIO_TLS_FLAGS_ALLOW_V1_CA_CRT 0x00000004

Definition at line 38 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_IGN_PREMATURE_CLOSE

#define GWEN_SYNCIO_TLS_FLAGS_IGN_PREMATURE_CLOSE 0x00000200

ignore error "GNUTLS_E_PREMATURE_TERMINATION"

Definition at line 45 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_NEED_PEER_CERT

#define GWEN_SYNCIO_TLS_FLAGS_NEED_PEER_CERT 0x00000008

Definition at line 39 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_REQUEST_CERT

#define GWEN_SYNCIO_TLS_FLAGS_REQUEST_CERT 0x00000001

Definition at line 36 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_SECURE

#define GWEN_SYNCIO_TLS_FLAGS_SECURE 0x00008000

Definition at line 47 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_SET_PASSV_HOST_IP

#define GWEN_SYNCIO_TLS_FLAGS_SET_PASSV_HOST_IP 0x00000020 /* not used atm */

Definition at line 42 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_FLAGS_SET_PASSV_HOST_NAME

#define GWEN_SYNCIO_TLS_FLAGS_SET_PASSV_HOST_NAME 0x00000020 /* not used atm */

Definition at line 41 of file syncio_tls.h.

## GWEN_SYNCIO_TLS_TYPE

#define GWEN_SYNCIO_TLS_TYPE "tls"

Definition at line 33 of file syncio_tls.h.

## Typedef Documentation

## GWEN_SIO_TLS_CHECKCERT_FN

typedef int GWENHYWFAR_CB(* GWEN_SIO_TLS_CHECKCERT_FN) (GWEN_SYNCIO *sio, const GWEN_SSLCERTDESCR *cert)

Definition at line 84 of file syncio_tls.h.

## Function Documentation

## GWEN_SyncIo_Tls_GetDhParamFile()

GWENHYWFAR_API const char * GWEN_SyncIo_Tls_GetDhParamFile | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_GetLocalCertFile()

GWENHYWFAR_API const char * GWEN_SyncIo_Tls_GetLocalCertFile | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_GetLocalKeyFile()

GWENHYWFAR_API const char * GWEN_SyncIo_Tls_GetLocalKeyFile | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_GetLocalTrustFile()

GWENHYWFAR_API const char * GWEN_SyncIo_Tls_GetLocalTrustFile | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_GetLocalTrustFolder()

GWENHYWFAR_API const char * GWEN_SyncIo_Tls_GetLocalTrustFolder | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_GetPeerCertDescr()

GWENHYWFAR_API GWEN_SSLCERTDESCR * GWEN_SyncIo_Tls_GetPeerCertDescr | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_GetRemoteHostName()

GWENHYWFAR_API const char * GWEN_SyncIo_Tls_GetRemoteHostName | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_new()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Tls_new | ( | GWEN_SYNCIO * | baseIo | ) |

## GWEN_SyncIo_Tls_SetCheckCertFn()

GWENHYWFAR_API GWEN_SIO_TLS_CHECKCERT_FN GWEN_SyncIo_Tls_SetCheckCertFn | ( | GWEN_SYNCIO * | sio,
|  | GWEN_SIO_TLS_CHECKCERT_FN | f )

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_SetDhParamFile()

GWENHYWFAR_API void GWEN_SyncIo_Tls_SetDhParamFile | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_SetLocalCertFile()

GWENHYWFAR_API void GWEN_SyncIo_Tls_SetLocalCertFile | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_SetLocalKeyFile()

GWENHYWFAR_API void GWEN_SyncIo_Tls_SetLocalKeyFile | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_SetLocalTrustFile()

GWENHYWFAR_API void GWEN_SyncIo_Tls_SetLocalTrustFile | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_SetLocalTrustFolder()

GWENHYWFAR_API void GWEN_SyncIo_Tls_SetLocalTrustFolder | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SyncIo_Tls_SetRemoteHostName()

GWENHYWFAR_API void GWEN_SyncIo_Tls_SetRemoteHostName | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.